# Trigger on-demand journey workflow execution

Triggers the journey workflow to execute immediately using the most recent completed Parent Segment output data. Does not initiate a Parent Segment refresh. Returns 409 Conflict if a PS refresh or journey workflow is already in progress. Returns 422 if the journey is not eligible for on-demand execution (e.g., not active, belongs to Priority Group).

Endpoint: POST /entities/journeys/{journeyId}/run
Version: 1.0.0
Security: TdApikeyAuth

## Security:

  - `TdApikeyAuth` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `journeyId` (string, required)
    The ID of the journey to trigger

## Response 200:

  - `200` (unknown)
    Journey workflow execution has been triggered

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (string, required)
    workflowAttemptId is used as id

  - `data.type` (string, required)
    Enum: "execution-journey"

  - `data.attributes` (object, required)

  - `data.attributes.workflowId` (string, required)

  - `data.attributes.workflowSessionId` (string, required)

  - `data.attributes.createdAt` (string, required)

  - `data.attributes.finishedAt` (string, required)

  - `data.attributes.status` (string, required)
    Enum: "success", "canceled", "error", "canceling", "blocked", "queued", "running"

  - `data.attributes.journeyId` (string)

## Response 403:

  - `403` (unknown)
    non-JSON:API formatted error for insufficient permission to access a resource

## Response 403 fields (application/json):

  - `errors` (string, required)

## Response 404:

  - `404` (unknown)
    Journey not found

## Response 409:

  - `409` (unknown)
    Conflict - Parent Segment refresh or journey workflow is already in progress

## Response 409 fields (application/json):

  - `errors` (array)

  - `errors.status` (string)

  - `errors.detail` (string)

  - `errors.meta` (object)

  - `errors.meta.validationCode` (string)

## Response 422:

  - `422` (unknown)
    Journey is not eligible for on-demand execution

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.status` (string)

  - `errors.detail` (string)

  - `errors.meta` (object)

  - `errors.meta.validationCode` (string)

